// DO NOT EDIT: This file is autogenerated via the builtin command.

package telegram

import (
	ast "github.com/influxdata/flux/ast"
	runtime "github.com/influxdata/flux/runtime"
)

func init() {
	runtime.RegisterPackage(pkgAST)
}

var pkgAST = &ast.Package{
	BaseNode: ast.BaseNode{
		Errors: nil,
		Loc:    nil,
	},
	Files: []*ast.File{&ast.File{
		BaseNode: ast.BaseNode{
			Errors: nil,
			Loc: &ast.SourceLocation{
				End: ast.Position{
					Column: 15,
					Line:   56,
				},
				File:   "telegram.flux",
				Source: "package telegram\n\nimport \"http\"\nimport \"json\"\n\noption defaultURL = \"https://api.telegram.org/bot\"\noption defaultParseMode = \"MarkdownV2\"\noption defaultDisableWebPagePreview = false\noption defaultSilent = true\n\n// `message` sends a single message to a Telegram channel using the API descibed in https://core.telegram.org/bots/api#sendmessage\n// `url` - string - URL of the telegram bot endpoint. Defaults to: \"https://api.telegram.org/bot\"\n// `token` - string - Required telegram bot token string, such as 123456789:AAxSFgij0ln9C7zUKnr4ScDi5QXTGF71S\n// `channel` - string - Required id of the telegram channel.\n// `text` - string - The text to display.\n// `parseMode` - string - Parse mode of the message text per https://core.telegram.org/bots/api#formatting-options . Defaults to \"MarkdownV2\"\n// `disableWebPagePreview` - bool - Disables preview of web links in the sent messages when \"true\". Defaults to \"false\"\n// `silent` - bool - Messages are sent silently (https://telegram.org/blog/channels-2-0#silent-messages) when \"true\". Defaults to \"true\".\nmessage = (url=defaultURL, token, channel, text, parseMode=defaultParseMode, disableWebPagePreview=defaultDisableWebPagePreview, silent=defaultSilent) => {\n    data = {\n        chat_id: channel,\n        text: text,\n        parse_mode: parseMode,\n        disable_web_page_preview: disableWebPagePreview,\n        disable_notification: silent,\n    }\n\n    headers = {\n        \"Content-Type\": \"application/json; charset=utf-8\",\n    }\n    enc = json.encode(v:data)\n    return http.post(headers: headers, url: url + token + \"/sendMessage\", data: enc)\n}\n\n// `endpoint` creates a factory function that creates a target function for pipeline `|>` to send messages to telegram for each table row.\n// `url` - string - URL of the telegram bot endpoint. Defaults to: \"https://api.telegram.org/bot\"\n// `token` - string - Required telegram bot token string, such as 123456789:AAxSFgij0ln9C7zUKnr4ScDi5QXTGF71S\n// `parseMode` - string - Parse mode of the message text per https://core.telegram.org/bots/api#formatting-options . Defaults to \"MarkdownV2\"\n// `disableWebPagePreview` - bool - Disables preview of web links in the sent messages when \"true\". Defaults to \"false\"\n// The returned factory function accepts a `mapFn` parameter.\n// The `mapFn` must return an object with `channel`, `text`, and `silent`, as defined in the `message` function arguments.\nendpoint = (url=defaultURL, token, parseMode=defaultParseMode, disableWebPagePreview=defaultDisableWebPagePreview) =>\n    (mapFn) =>\n        (tables=<-) => tables\n            |> map(fn: (r) => {\n                obj = mapFn(r: r)\n                return {r with _sent: string(v: 2 == message(\n                    url: url,\n                    token: token,\n                    channel: obj.channel,\n                    text: obj.text,\n                    parseMode: parseMode,\n                    disableWebPagePreview: disableWebPagePreview, \n                    silent: obj.silent,\n                ) / 100)}\n            })",
				Start: ast.Position{
					Column: 1,
					Line:   1,
				},
			},
		},
		Body: []ast.Statement{&ast.OptionStatement{
			Assignment: &ast.VariableAssignment{
				BaseNode: ast.BaseNode{
					Errors: nil,
					Loc: &ast.SourceLocation{
						End: ast.Position{
							Column: 51,
							Line:   6,
						},
						File:   "telegram.flux",
						Source: "defaultURL = \"https://api.telegram.org/bot\"",
						Start: ast.Position{
							Column: 8,
							Line:   6,
						},
					},
				},
				ID: &ast.Identifier{
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 18,
								Line:   6,
							},
							File:   "telegram.flux",
							Source: "defaultURL",
							Start: ast.Position{
								Column: 8,
								Line:   6,
							},
						},
					},
					Name: "defaultURL",
				},
				Init: &ast.StringLiteral{
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 51,
								Line:   6,
							},
							File:   "telegram.flux",
							Source: "\"https://api.telegram.org/bot\"",
							Start: ast.Position{
								Column: 21,
								Line:   6,
							},
						},
					},
					Value: "https://api.telegram.org/bot",
				},
			},
			BaseNode: ast.BaseNode{
				Errors: nil,
				Loc: &ast.SourceLocation{
					End: ast.Position{
						Column: 51,
						Line:   6,
					},
					File:   "telegram.flux",
					Source: "option defaultURL = \"https://api.telegram.org/bot\"",
					Start: ast.Position{
						Column: 1,
						Line:   6,
					},
				},
			},
		}, &ast.OptionStatement{
			Assignment: &ast.VariableAssignment{
				BaseNode: ast.BaseNode{
					Errors: nil,
					Loc: &ast.SourceLocation{
						End: ast.Position{
							Column: 39,
							Line:   7,
						},
						File:   "telegram.flux",
						Source: "defaultParseMode = \"MarkdownV2\"",
						Start: ast.Position{
							Column: 8,
							Line:   7,
						},
					},
				},
				ID: &ast.Identifier{
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 24,
								Line:   7,
							},
							File:   "telegram.flux",
							Source: "defaultParseMode",
							Start: ast.Position{
								Column: 8,
								Line:   7,
							},
						},
					},
					Name: "defaultParseMode",
				},
				Init: &ast.StringLiteral{
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 39,
								Line:   7,
							},
							File:   "telegram.flux",
							Source: "\"MarkdownV2\"",
							Start: ast.Position{
								Column: 27,
								Line:   7,
							},
						},
					},
					Value: "MarkdownV2",
				},
			},
			BaseNode: ast.BaseNode{
				Errors: nil,
				Loc: &ast.SourceLocation{
					End: ast.Position{
						Column: 39,
						Line:   7,
					},
					File:   "telegram.flux",
					Source: "option defaultParseMode = \"MarkdownV2\"",
					Start: ast.Position{
						Column: 1,
						Line:   7,
					},
				},
			},
		}, &ast.OptionStatement{
			Assignment: &ast.VariableAssignment{
				BaseNode: ast.BaseNode{
					Errors: nil,
					Loc: &ast.SourceLocation{
						End: ast.Position{
							Column: 44,
							Line:   8,
						},
						File:   "telegram.flux",
						Source: "defaultDisableWebPagePreview = false",
						Start: ast.Position{
							Column: 8,
							Line:   8,
						},
					},
				},
				ID: &ast.Identifier{
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 36,
								Line:   8,
							},
							File:   "telegram.flux",
							Source: "defaultDisableWebPagePreview",
							Start: ast.Position{
								Column: 8,
								Line:   8,
							},
						},
					},
					Name: "defaultDisableWebPagePreview",
				},
				Init: &ast.Identifier{
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 44,
								Line:   8,
							},
							File:   "telegram.flux",
							Source: "false",
							Start: ast.Position{
								Column: 39,
								Line:   8,
							},
						},
					},
					Name: "false",
				},
			},
			BaseNode: ast.BaseNode{
				Errors: nil,
				Loc: &ast.SourceLocation{
					End: ast.Position{
						Column: 44,
						Line:   8,
					},
					File:   "telegram.flux",
					Source: "option defaultDisableWebPagePreview = false",
					Start: ast.Position{
						Column: 1,
						Line:   8,
					},
				},
			},
		}, &ast.OptionStatement{
			Assignment: &ast.VariableAssignment{
				BaseNode: ast.BaseNode{
					Errors: nil,
					Loc: &ast.SourceLocation{
						End: ast.Position{
							Column: 28,
							Line:   9,
						},
						File:   "telegram.flux",
						Source: "defaultSilent = true",
						Start: ast.Position{
							Column: 8,
							Line:   9,
						},
					},
				},
				ID: &ast.Identifier{
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 21,
								Line:   9,
							},
							File:   "telegram.flux",
							Source: "defaultSilent",
							Start: ast.Position{
								Column: 8,
								Line:   9,
							},
						},
					},
					Name: "defaultSilent",
				},
				Init: &ast.Identifier{
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 28,
								Line:   9,
							},
							File:   "telegram.flux",
							Source: "true",
							Start: ast.Position{
								Column: 24,
								Line:   9,
							},
						},
					},
					Name: "true",
				},
			},
			BaseNode: ast.BaseNode{
				Errors: nil,
				Loc: &ast.SourceLocation{
					End: ast.Position{
						Column: 28,
						Line:   9,
					},
					File:   "telegram.flux",
					Source: "option defaultSilent = true",
					Start: ast.Position{
						Column: 1,
						Line:   9,
					},
				},
			},
		}, &ast.VariableAssignment{
			BaseNode: ast.BaseNode{
				Errors: nil,
				Loc: &ast.SourceLocation{
					End: ast.Position{
						Column: 2,
						Line:   33,
					},
					File:   "telegram.flux",
					Source: "message = (url=defaultURL, token, channel, text, parseMode=defaultParseMode, disableWebPagePreview=defaultDisableWebPagePreview, silent=defaultSilent) => {\n    data = {\n        chat_id: channel,\n        text: text,\n        parse_mode: parseMode,\n        disable_web_page_preview: disableWebPagePreview,\n        disable_notification: silent,\n    }\n\n    headers = {\n        \"Content-Type\": \"application/json; charset=utf-8\",\n    }\n    enc = json.encode(v:data)\n    return http.post(headers: headers, url: url + token + \"/sendMessage\", data: enc)\n}",
					Start: ast.Position{
						Column: 1,
						Line:   19,
					},
				},
			},
			ID: &ast.Identifier{
				BaseNode: ast.BaseNode{
					Errors: nil,
					Loc: &ast.SourceLocation{
						End: ast.Position{
							Column: 8,
							Line:   19,
						},
						File:   "telegram.flux",
						Source: "message",
						Start: ast.Position{
							Column: 1,
							Line:   19,
						},
					},
				},
				Name: "message",
			},
			Init: &ast.FunctionExpression{
				BaseNode: ast.BaseNode{
					Errors: nil,
					Loc: &ast.SourceLocation{
						End: ast.Position{
							Column: 2,
							Line:   33,
						},
						File:   "telegram.flux",
						Source: "(url=defaultURL, token, channel, text, parseMode=defaultParseMode, disableWebPagePreview=defaultDisableWebPagePreview, silent=defaultSilent) => {\n    data = {\n        chat_id: channel,\n        text: text,\n        parse_mode: parseMode,\n        disable_web_page_preview: disableWebPagePreview,\n        disable_notification: silent,\n    }\n\n    headers = {\n        \"Content-Type\": \"application/json; charset=utf-8\",\n    }\n    enc = json.encode(v:data)\n    return http.post(headers: headers, url: url + token + \"/sendMessage\", data: enc)\n}",
						Start: ast.Position{
							Column: 11,
							Line:   19,
						},
					},
				},
				Body: &ast.Block{
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 2,
								Line:   33,
							},
							File:   "telegram.flux",
							Source: "{\n    data = {\n        chat_id: channel,\n        text: text,\n        parse_mode: parseMode,\n        disable_web_page_preview: disableWebPagePreview,\n        disable_notification: silent,\n    }\n\n    headers = {\n        \"Content-Type\": \"application/json; charset=utf-8\",\n    }\n    enc = json.encode(v:data)\n    return http.post(headers: headers, url: url + token + \"/sendMessage\", data: enc)\n}",
							Start: ast.Position{
								Column: 155,
								Line:   19,
							},
						},
					},
					Body: []ast.Statement{&ast.VariableAssignment{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 6,
									Line:   26,
								},
								File:   "telegram.flux",
								Source: "data = {\n        chat_id: channel,\n        text: text,\n        parse_mode: parseMode,\n        disable_web_page_preview: disableWebPagePreview,\n        disable_notification: silent,\n    }",
								Start: ast.Position{
									Column: 5,
									Line:   20,
								},
							},
						},
						ID: &ast.Identifier{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 9,
										Line:   20,
									},
									File:   "telegram.flux",
									Source: "data",
									Start: ast.Position{
										Column: 5,
										Line:   20,
									},
								},
							},
							Name: "data",
						},
						Init: &ast.ObjectExpression{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 6,
										Line:   26,
									},
									File:   "telegram.flux",
									Source: "{\n        chat_id: channel,\n        text: text,\n        parse_mode: parseMode,\n        disable_web_page_preview: disableWebPagePreview,\n        disable_notification: silent,\n    }",
									Start: ast.Position{
										Column: 12,
										Line:   20,
									},
								},
							},
							Properties: []*ast.Property{&ast.Property{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 25,
											Line:   21,
										},
										File:   "telegram.flux",
										Source: "chat_id: channel",
										Start: ast.Position{
											Column: 9,
											Line:   21,
										},
									},
								},
								Key: &ast.Identifier{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 16,
												Line:   21,
											},
											File:   "telegram.flux",
											Source: "chat_id",
											Start: ast.Position{
												Column: 9,
												Line:   21,
											},
										},
									},
									Name: "chat_id",
								},
								Value: &ast.Identifier{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 25,
												Line:   21,
											},
											File:   "telegram.flux",
											Source: "channel",
											Start: ast.Position{
												Column: 18,
												Line:   21,
											},
										},
									},
									Name: "channel",
								},
							}, &ast.Property{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 19,
											Line:   22,
										},
										File:   "telegram.flux",
										Source: "text: text",
										Start: ast.Position{
											Column: 9,
											Line:   22,
										},
									},
								},
								Key: &ast.Identifier{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 13,
												Line:   22,
											},
											File:   "telegram.flux",
											Source: "text",
											Start: ast.Position{
												Column: 9,
												Line:   22,
											},
										},
									},
									Name: "text",
								},
								Value: &ast.Identifier{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 19,
												Line:   22,
											},
											File:   "telegram.flux",
											Source: "text",
											Start: ast.Position{
												Column: 15,
												Line:   22,
											},
										},
									},
									Name: "text",
								},
							}, &ast.Property{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 30,
											Line:   23,
										},
										File:   "telegram.flux",
										Source: "parse_mode: parseMode",
										Start: ast.Position{
											Column: 9,
											Line:   23,
										},
									},
								},
								Key: &ast.Identifier{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 19,
												Line:   23,
											},
											File:   "telegram.flux",
											Source: "parse_mode",
											Start: ast.Position{
												Column: 9,
												Line:   23,
											},
										},
									},
									Name: "parse_mode",
								},
								Value: &ast.Identifier{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 30,
												Line:   23,
											},
											File:   "telegram.flux",
											Source: "parseMode",
											Start: ast.Position{
												Column: 21,
												Line:   23,
											},
										},
									},
									Name: "parseMode",
								},
							}, &ast.Property{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 56,
											Line:   24,
										},
										File:   "telegram.flux",
										Source: "disable_web_page_preview: disableWebPagePreview",
										Start: ast.Position{
											Column: 9,
											Line:   24,
										},
									},
								},
								Key: &ast.Identifier{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 33,
												Line:   24,
											},
											File:   "telegram.flux",
											Source: "disable_web_page_preview",
											Start: ast.Position{
												Column: 9,
												Line:   24,
											},
										},
									},
									Name: "disable_web_page_preview",
								},
								Value: &ast.Identifier{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 56,
												Line:   24,
											},
											File:   "telegram.flux",
											Source: "disableWebPagePreview",
											Start: ast.Position{
												Column: 35,
												Line:   24,
											},
										},
									},
									Name: "disableWebPagePreview",
								},
							}, &ast.Property{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 37,
											Line:   25,
										},
										File:   "telegram.flux",
										Source: "disable_notification: silent",
										Start: ast.Position{
											Column: 9,
											Line:   25,
										},
									},
								},
								Key: &ast.Identifier{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 29,
												Line:   25,
											},
											File:   "telegram.flux",
											Source: "disable_notification",
											Start: ast.Position{
												Column: 9,
												Line:   25,
											},
										},
									},
									Name: "disable_notification",
								},
								Value: &ast.Identifier{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 37,
												Line:   25,
											},
											File:   "telegram.flux",
											Source: "silent",
											Start: ast.Position{
												Column: 31,
												Line:   25,
											},
										},
									},
									Name: "silent",
								},
							}},
							With: nil,
						},
					}, &ast.VariableAssignment{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 6,
									Line:   30,
								},
								File:   "telegram.flux",
								Source: "headers = {\n        \"Content-Type\": \"application/json; charset=utf-8\",\n    }",
								Start: ast.Position{
									Column: 5,
									Line:   28,
								},
							},
						},
						ID: &ast.Identifier{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 12,
										Line:   28,
									},
									File:   "telegram.flux",
									Source: "headers",
									Start: ast.Position{
										Column: 5,
										Line:   28,
									},
								},
							},
							Name: "headers",
						},
						Init: &ast.ObjectExpression{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 6,
										Line:   30,
									},
									File:   "telegram.flux",
									Source: "{\n        \"Content-Type\": \"application/json; charset=utf-8\",\n    }",
									Start: ast.Position{
										Column: 15,
										Line:   28,
									},
								},
							},
							Properties: []*ast.Property{&ast.Property{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 58,
											Line:   29,
										},
										File:   "telegram.flux",
										Source: "\"Content-Type\": \"application/json; charset=utf-8\"",
										Start: ast.Position{
											Column: 9,
											Line:   29,
										},
									},
								},
								Key: &ast.StringLiteral{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 23,
												Line:   29,
											},
											File:   "telegram.flux",
											Source: "\"Content-Type\"",
											Start: ast.Position{
												Column: 9,
												Line:   29,
											},
										},
									},
									Value: "Content-Type",
								},
								Value: &ast.StringLiteral{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 58,
												Line:   29,
											},
											File:   "telegram.flux",
											Source: "\"application/json; charset=utf-8\"",
											Start: ast.Position{
												Column: 25,
												Line:   29,
											},
										},
									},
									Value: "application/json; charset=utf-8",
								},
							}},
							With: nil,
						},
					}, &ast.VariableAssignment{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 30,
									Line:   31,
								},
								File:   "telegram.flux",
								Source: "enc = json.encode(v:data)",
								Start: ast.Position{
									Column: 5,
									Line:   31,
								},
							},
						},
						ID: &ast.Identifier{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 8,
										Line:   31,
									},
									File:   "telegram.flux",
									Source: "enc",
									Start: ast.Position{
										Column: 5,
										Line:   31,
									},
								},
							},
							Name: "enc",
						},
						Init: &ast.CallExpression{
							Arguments: []ast.Expression{&ast.ObjectExpression{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 29,
											Line:   31,
										},
										File:   "telegram.flux",
										Source: "v:data",
										Start: ast.Position{
											Column: 23,
											Line:   31,
										},
									},
								},
								Properties: []*ast.Property{&ast.Property{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 29,
												Line:   31,
											},
											File:   "telegram.flux",
											Source: "v:data",
											Start: ast.Position{
												Column: 23,
												Line:   31,
											},
										},
									},
									Key: &ast.Identifier{
										BaseNode: ast.BaseNode{
											Errors: nil,
											Loc: &ast.SourceLocation{
												End: ast.Position{
													Column: 24,
													Line:   31,
												},
												File:   "telegram.flux",
												Source: "v",
												Start: ast.Position{
													Column: 23,
													Line:   31,
												},
											},
										},
										Name: "v",
									},
									Value: &ast.Identifier{
										BaseNode: ast.BaseNode{
											Errors: nil,
											Loc: &ast.SourceLocation{
												End: ast.Position{
													Column: 29,
													Line:   31,
												},
												File:   "telegram.flux",
												Source: "data",
												Start: ast.Position{
													Column: 25,
													Line:   31,
												},
											},
										},
										Name: "data",
									},
								}},
								With: nil,
							}},
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 30,
										Line:   31,
									},
									File:   "telegram.flux",
									Source: "json.encode(v:data)",
									Start: ast.Position{
										Column: 11,
										Line:   31,
									},
								},
							},
							Callee: &ast.MemberExpression{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 22,
											Line:   31,
										},
										File:   "telegram.flux",
										Source: "json.encode",
										Start: ast.Position{
											Column: 11,
											Line:   31,
										},
									},
								},
								Object: &ast.Identifier{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 15,
												Line:   31,
											},
											File:   "telegram.flux",
											Source: "json",
											Start: ast.Position{
												Column: 11,
												Line:   31,
											},
										},
									},
									Name: "json",
								},
								Property: &ast.Identifier{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 22,
												Line:   31,
											},
											File:   "telegram.flux",
											Source: "encode",
											Start: ast.Position{
												Column: 16,
												Line:   31,
											},
										},
									},
									Name: "encode",
								},
							},
						},
					}, &ast.ReturnStatement{
						Argument: &ast.CallExpression{
							Arguments: []ast.Expression{&ast.ObjectExpression{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 84,
											Line:   32,
										},
										File:   "telegram.flux",
										Source: "headers: headers, url: url + token + \"/sendMessage\", data: enc",
										Start: ast.Position{
											Column: 22,
											Line:   32,
										},
									},
								},
								Properties: []*ast.Property{&ast.Property{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 38,
												Line:   32,
											},
											File:   "telegram.flux",
											Source: "headers: headers",
											Start: ast.Position{
												Column: 22,
												Line:   32,
											},
										},
									},
									Key: &ast.Identifier{
										BaseNode: ast.BaseNode{
											Errors: nil,
											Loc: &ast.SourceLocation{
												End: ast.Position{
													Column: 29,
													Line:   32,
												},
												File:   "telegram.flux",
												Source: "headers",
												Start: ast.Position{
													Column: 22,
													Line:   32,
												},
											},
										},
										Name: "headers",
									},
									Value: &ast.Identifier{
										BaseNode: ast.BaseNode{
											Errors: nil,
											Loc: &ast.SourceLocation{
												End: ast.Position{
													Column: 38,
													Line:   32,
												},
												File:   "telegram.flux",
												Source: "headers",
												Start: ast.Position{
													Column: 31,
													Line:   32,
												},
											},
										},
										Name: "headers",
									},
								}, &ast.Property{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 73,
												Line:   32,
											},
											File:   "telegram.flux",
											Source: "url: url + token + \"/sendMessage\"",
											Start: ast.Position{
												Column: 40,
												Line:   32,
											},
										},
									},
									Key: &ast.Identifier{
										BaseNode: ast.BaseNode{
											Errors: nil,
											Loc: &ast.SourceLocation{
												End: ast.Position{
													Column: 43,
													Line:   32,
												},
												File:   "telegram.flux",
												Source: "url",
												Start: ast.Position{
													Column: 40,
													Line:   32,
												},
											},
										},
										Name: "url",
									},
									Value: &ast.BinaryExpression{
										BaseNode: ast.BaseNode{
											Errors: nil,
											Loc: &ast.SourceLocation{
												End: ast.Position{
													Column: 73,
													Line:   32,
												},
												File:   "telegram.flux",
												Source: "url + token + \"/sendMessage\"",
												Start: ast.Position{
													Column: 45,
													Line:   32,
												},
											},
										},
										Left: &ast.BinaryExpression{
											BaseNode: ast.BaseNode{
												Errors: nil,
												Loc: &ast.SourceLocation{
													End: ast.Position{
														Column: 56,
														Line:   32,
													},
													File:   "telegram.flux",
													Source: "url + token",
													Start: ast.Position{
														Column: 45,
														Line:   32,
													},
												},
											},
											Left: &ast.Identifier{
												BaseNode: ast.BaseNode{
													Errors: nil,
													Loc: &ast.SourceLocation{
														End: ast.Position{
															Column: 48,
															Line:   32,
														},
														File:   "telegram.flux",
														Source: "url",
														Start: ast.Position{
															Column: 45,
															Line:   32,
														},
													},
												},
												Name: "url",
											},
											Operator: 5,
											Right: &ast.Identifier{
												BaseNode: ast.BaseNode{
													Errors: nil,
													Loc: &ast.SourceLocation{
														End: ast.Position{
															Column: 56,
															Line:   32,
														},
														File:   "telegram.flux",
														Source: "token",
														Start: ast.Position{
															Column: 51,
															Line:   32,
														},
													},
												},
												Name: "token",
											},
										},
										Operator: 5,
										Right: &ast.StringLiteral{
											BaseNode: ast.BaseNode{
												Errors: nil,
												Loc: &ast.SourceLocation{
													End: ast.Position{
														Column: 73,
														Line:   32,
													},
													File:   "telegram.flux",
													Source: "\"/sendMessage\"",
													Start: ast.Position{
														Column: 59,
														Line:   32,
													},
												},
											},
											Value: "/sendMessage",
										},
									},
								}, &ast.Property{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 84,
												Line:   32,
											},
											File:   "telegram.flux",
											Source: "data: enc",
											Start: ast.Position{
												Column: 75,
												Line:   32,
											},
										},
									},
									Key: &ast.Identifier{
										BaseNode: ast.BaseNode{
											Errors: nil,
											Loc: &ast.SourceLocation{
												End: ast.Position{
													Column: 79,
													Line:   32,
												},
												File:   "telegram.flux",
												Source: "data",
												Start: ast.Position{
													Column: 75,
													Line:   32,
												},
											},
										},
										Name: "data",
									},
									Value: &ast.Identifier{
										BaseNode: ast.BaseNode{
											Errors: nil,
											Loc: &ast.SourceLocation{
												End: ast.Position{
													Column: 84,
													Line:   32,
												},
												File:   "telegram.flux",
												Source: "enc",
												Start: ast.Position{
													Column: 81,
													Line:   32,
												},
											},
										},
										Name: "enc",
									},
								}},
								With: nil,
							}},
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 85,
										Line:   32,
									},
									File:   "telegram.flux",
									Source: "http.post(headers: headers, url: url + token + \"/sendMessage\", data: enc)",
									Start: ast.Position{
										Column: 12,
										Line:   32,
									},
								},
							},
							Callee: &ast.MemberExpression{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 21,
											Line:   32,
										},
										File:   "telegram.flux",
										Source: "http.post",
										Start: ast.Position{
											Column: 12,
											Line:   32,
										},
									},
								},
								Object: &ast.Identifier{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 16,
												Line:   32,
											},
											File:   "telegram.flux",
											Source: "http",
											Start: ast.Position{
												Column: 12,
												Line:   32,
											},
										},
									},
									Name: "http",
								},
								Property: &ast.Identifier{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 21,
												Line:   32,
											},
											File:   "telegram.flux",
											Source: "post",
											Start: ast.Position{
												Column: 17,
												Line:   32,
											},
										},
									},
									Name: "post",
								},
							},
						},
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 85,
									Line:   32,
								},
								File:   "telegram.flux",
								Source: "return http.post(headers: headers, url: url + token + \"/sendMessage\", data: enc)",
								Start: ast.Position{
									Column: 5,
									Line:   32,
								},
							},
						},
					}},
				},
				Params: []*ast.Property{&ast.Property{
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 26,
								Line:   19,
							},
							File:   "telegram.flux",
							Source: "url=defaultURL",
							Start: ast.Position{
								Column: 12,
								Line:   19,
							},
						},
					},
					Key: &ast.Identifier{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 15,
									Line:   19,
								},
								File:   "telegram.flux",
								Source: "url",
								Start: ast.Position{
									Column: 12,
									Line:   19,
								},
							},
						},
						Name: "url",
					},
					Value: &ast.Identifier{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 26,
									Line:   19,
								},
								File:   "telegram.flux",
								Source: "defaultURL",
								Start: ast.Position{
									Column: 16,
									Line:   19,
								},
							},
						},
						Name: "defaultURL",
					},
				}, &ast.Property{
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 33,
								Line:   19,
							},
							File:   "telegram.flux",
							Source: "token",
							Start: ast.Position{
								Column: 28,
								Line:   19,
							},
						},
					},
					Key: &ast.Identifier{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 33,
									Line:   19,
								},
								File:   "telegram.flux",
								Source: "token",
								Start: ast.Position{
									Column: 28,
									Line:   19,
								},
							},
						},
						Name: "token",
					},
					Value: nil,
				}, &ast.Property{
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 42,
								Line:   19,
							},
							File:   "telegram.flux",
							Source: "channel",
							Start: ast.Position{
								Column: 35,
								Line:   19,
							},
						},
					},
					Key: &ast.Identifier{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 42,
									Line:   19,
								},
								File:   "telegram.flux",
								Source: "channel",
								Start: ast.Position{
									Column: 35,
									Line:   19,
								},
							},
						},
						Name: "channel",
					},
					Value: nil,
				}, &ast.Property{
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 48,
								Line:   19,
							},
							File:   "telegram.flux",
							Source: "text",
							Start: ast.Position{
								Column: 44,
								Line:   19,
							},
						},
					},
					Key: &ast.Identifier{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 48,
									Line:   19,
								},
								File:   "telegram.flux",
								Source: "text",
								Start: ast.Position{
									Column: 44,
									Line:   19,
								},
							},
						},
						Name: "text",
					},
					Value: nil,
				}, &ast.Property{
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 76,
								Line:   19,
							},
							File:   "telegram.flux",
							Source: "parseMode=defaultParseMode",
							Start: ast.Position{
								Column: 50,
								Line:   19,
							},
						},
					},
					Key: &ast.Identifier{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 59,
									Line:   19,
								},
								File:   "telegram.flux",
								Source: "parseMode",
								Start: ast.Position{
									Column: 50,
									Line:   19,
								},
							},
						},
						Name: "parseMode",
					},
					Value: &ast.Identifier{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 76,
									Line:   19,
								},
								File:   "telegram.flux",
								Source: "defaultParseMode",
								Start: ast.Position{
									Column: 60,
									Line:   19,
								},
							},
						},
						Name: "defaultParseMode",
					},
				}, &ast.Property{
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 128,
								Line:   19,
							},
							File:   "telegram.flux",
							Source: "disableWebPagePreview=defaultDisableWebPagePreview",
							Start: ast.Position{
								Column: 78,
								Line:   19,
							},
						},
					},
					Key: &ast.Identifier{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 99,
									Line:   19,
								},
								File:   "telegram.flux",
								Source: "disableWebPagePreview",
								Start: ast.Position{
									Column: 78,
									Line:   19,
								},
							},
						},
						Name: "disableWebPagePreview",
					},
					Value: &ast.Identifier{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 128,
									Line:   19,
								},
								File:   "telegram.flux",
								Source: "defaultDisableWebPagePreview",
								Start: ast.Position{
									Column: 100,
									Line:   19,
								},
							},
						},
						Name: "defaultDisableWebPagePreview",
					},
				}, &ast.Property{
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 150,
								Line:   19,
							},
							File:   "telegram.flux",
							Source: "silent=defaultSilent",
							Start: ast.Position{
								Column: 130,
								Line:   19,
							},
						},
					},
					Key: &ast.Identifier{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 136,
									Line:   19,
								},
								File:   "telegram.flux",
								Source: "silent",
								Start: ast.Position{
									Column: 130,
									Line:   19,
								},
							},
						},
						Name: "silent",
					},
					Value: &ast.Identifier{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 150,
									Line:   19,
								},
								File:   "telegram.flux",
								Source: "defaultSilent",
								Start: ast.Position{
									Column: 137,
									Line:   19,
								},
							},
						},
						Name: "defaultSilent",
					},
				}},
			},
		}, &ast.VariableAssignment{
			BaseNode: ast.BaseNode{
				Errors: nil,
				Loc: &ast.SourceLocation{
					End: ast.Position{
						Column: 15,
						Line:   56,
					},
					File:   "telegram.flux",
					Source: "endpoint = (url=defaultURL, token, parseMode=defaultParseMode, disableWebPagePreview=defaultDisableWebPagePreview) =>\n    (mapFn) =>\n        (tables=<-) => tables\n            |> map(fn: (r) => {\n                obj = mapFn(r: r)\n                return {r with _sent: string(v: 2 == message(\n                    url: url,\n                    token: token,\n                    channel: obj.channel,\n                    text: obj.text,\n                    parseMode: parseMode,\n                    disableWebPagePreview: disableWebPagePreview, \n                    silent: obj.silent,\n                ) / 100)}\n            })",
					Start: ast.Position{
						Column: 1,
						Line:   42,
					},
				},
			},
			ID: &ast.Identifier{
				BaseNode: ast.BaseNode{
					Errors: nil,
					Loc: &ast.SourceLocation{
						End: ast.Position{
							Column: 9,
							Line:   42,
						},
						File:   "telegram.flux",
						Source: "endpoint",
						Start: ast.Position{
							Column: 1,
							Line:   42,
						},
					},
				},
				Name: "endpoint",
			},
			Init: &ast.FunctionExpression{
				BaseNode: ast.BaseNode{
					Errors: nil,
					Loc: &ast.SourceLocation{
						End: ast.Position{
							Column: 15,
							Line:   56,
						},
						File:   "telegram.flux",
						Source: "(url=defaultURL, token, parseMode=defaultParseMode, disableWebPagePreview=defaultDisableWebPagePreview) =>\n    (mapFn) =>\n        (tables=<-) => tables\n            |> map(fn: (r) => {\n                obj = mapFn(r: r)\n                return {r with _sent: string(v: 2 == message(\n                    url: url,\n                    token: token,\n                    channel: obj.channel,\n                    text: obj.text,\n                    parseMode: parseMode,\n                    disableWebPagePreview: disableWebPagePreview, \n                    silent: obj.silent,\n                ) / 100)}\n            })",
						Start: ast.Position{
							Column: 12,
							Line:   42,
						},
					},
				},
				Body: &ast.FunctionExpression{
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 15,
								Line:   56,
							},
							File:   "telegram.flux",
							Source: "(mapFn) =>\n        (tables=<-) => tables\n            |> map(fn: (r) => {\n                obj = mapFn(r: r)\n                return {r with _sent: string(v: 2 == message(\n                    url: url,\n                    token: token,\n                    channel: obj.channel,\n                    text: obj.text,\n                    parseMode: parseMode,\n                    disableWebPagePreview: disableWebPagePreview, \n                    silent: obj.silent,\n                ) / 100)}\n            })",
							Start: ast.Position{
								Column: 5,
								Line:   43,
							},
						},
					},
					Body: &ast.FunctionExpression{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 15,
									Line:   56,
								},
								File:   "telegram.flux",
								Source: "(tables=<-) => tables\n            |> map(fn: (r) => {\n                obj = mapFn(r: r)\n                return {r with _sent: string(v: 2 == message(\n                    url: url,\n                    token: token,\n                    channel: obj.channel,\n                    text: obj.text,\n                    parseMode: parseMode,\n                    disableWebPagePreview: disableWebPagePreview, \n                    silent: obj.silent,\n                ) / 100)}\n            })",
								Start: ast.Position{
									Column: 9,
									Line:   44,
								},
							},
						},
						Body: &ast.PipeExpression{
							Argument: &ast.Identifier{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 30,
											Line:   44,
										},
										File:   "telegram.flux",
										Source: "tables",
										Start: ast.Position{
											Column: 24,
											Line:   44,
										},
									},
								},
								Name: "tables",
							},
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 15,
										Line:   56,
									},
									File:   "telegram.flux",
									Source: "tables\n            |> map(fn: (r) => {\n                obj = mapFn(r: r)\n                return {r with _sent: string(v: 2 == message(\n                    url: url,\n                    token: token,\n                    channel: obj.channel,\n                    text: obj.text,\n                    parseMode: parseMode,\n                    disableWebPagePreview: disableWebPagePreview, \n                    silent: obj.silent,\n                ) / 100)}\n            })",
									Start: ast.Position{
										Column: 24,
										Line:   44,
									},
								},
							},
							Call: &ast.CallExpression{
								Arguments: []ast.Expression{&ast.ObjectExpression{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 14,
												Line:   56,
											},
											File:   "telegram.flux",
											Source: "fn: (r) => {\n                obj = mapFn(r: r)\n                return {r with _sent: string(v: 2 == message(\n                    url: url,\n                    token: token,\n                    channel: obj.channel,\n                    text: obj.text,\n                    parseMode: parseMode,\n                    disableWebPagePreview: disableWebPagePreview, \n                    silent: obj.silent,\n                ) / 100)}\n            }",
											Start: ast.Position{
												Column: 20,
												Line:   45,
											},
										},
									},
									Properties: []*ast.Property{&ast.Property{
										BaseNode: ast.BaseNode{
											Errors: nil,
											Loc: &ast.SourceLocation{
												End: ast.Position{
													Column: 14,
													Line:   56,
												},
												File:   "telegram.flux",
												Source: "fn: (r) => {\n                obj = mapFn(r: r)\n                return {r with _sent: string(v: 2 == message(\n                    url: url,\n                    token: token,\n                    channel: obj.channel,\n                    text: obj.text,\n                    parseMode: parseMode,\n                    disableWebPagePreview: disableWebPagePreview, \n                    silent: obj.silent,\n                ) / 100)}\n            }",
												Start: ast.Position{
													Column: 20,
													Line:   45,
												},
											},
										},
										Key: &ast.Identifier{
											BaseNode: ast.BaseNode{
												Errors: nil,
												Loc: &ast.SourceLocation{
													End: ast.Position{
														Column: 22,
														Line:   45,
													},
													File:   "telegram.flux",
													Source: "fn",
													Start: ast.Position{
														Column: 20,
														Line:   45,
													},
												},
											},
											Name: "fn",
										},
										Value: &ast.FunctionExpression{
											BaseNode: ast.BaseNode{
												Errors: nil,
												Loc: &ast.SourceLocation{
													End: ast.Position{
														Column: 14,
														Line:   56,
													},
													File:   "telegram.flux",
													Source: "(r) => {\n                obj = mapFn(r: r)\n                return {r with _sent: string(v: 2 == message(\n                    url: url,\n                    token: token,\n                    channel: obj.channel,\n                    text: obj.text,\n                    parseMode: parseMode,\n                    disableWebPagePreview: disableWebPagePreview, \n                    silent: obj.silent,\n                ) / 100)}\n            }",
													Start: ast.Position{
														Column: 24,
														Line:   45,
													},
												},
											},
											Body: &ast.Block{
												BaseNode: ast.BaseNode{
													Errors: nil,
													Loc: &ast.SourceLocation{
														End: ast.Position{
															Column: 14,
															Line:   56,
														},
														File:   "telegram.flux",
														Source: "{\n                obj = mapFn(r: r)\n                return {r with _sent: string(v: 2 == message(\n                    url: url,\n                    token: token,\n                    channel: obj.channel,\n                    text: obj.text,\n                    parseMode: parseMode,\n                    disableWebPagePreview: disableWebPagePreview, \n                    silent: obj.silent,\n                ) / 100)}\n            }",
														Start: ast.Position{
															Column: 31,
															Line:   45,
														},
													},
												},
												Body: []ast.Statement{&ast.VariableAssignment{
													BaseNode: ast.BaseNode{
														Errors: nil,
														Loc: &ast.SourceLocation{
															End: ast.Position{
																Column: 34,
																Line:   46,
															},
															File:   "telegram.flux",
															Source: "obj = mapFn(r: r)",
															Start: ast.Position{
																Column: 17,
																Line:   46,
															},
														},
													},
													ID: &ast.Identifier{
														BaseNode: ast.BaseNode{
															Errors: nil,
															Loc: &ast.SourceLocation{
																End: ast.Position{
																	Column: 20,
																	Line:   46,
																},
																File:   "telegram.flux",
																Source: "obj",
																Start: ast.Position{
																	Column: 17,
																	Line:   46,
																},
															},
														},
														Name: "obj",
													},
													Init: &ast.CallExpression{
														Arguments: []ast.Expression{&ast.ObjectExpression{
															BaseNode: ast.BaseNode{
																Errors: nil,
																Loc: &ast.SourceLocation{
																	End: ast.Position{
																		Column: 33,
																		Line:   46,
																	},
																	File:   "telegram.flux",
																	Source: "r: r",
																	Start: ast.Position{
																		Column: 29,
																		Line:   46,
																	},
																},
															},
															Properties: []*ast.Property{&ast.Property{
																BaseNode: ast.BaseNode{
																	Errors: nil,
																	Loc: &ast.SourceLocation{
																		End: ast.Position{
																			Column: 33,
																			Line:   46,
																		},
																		File:   "telegram.flux",
																		Source: "r: r",
																		Start: ast.Position{
																			Column: 29,
																			Line:   46,
																		},
																	},
																},
																Key: &ast.Identifier{
																	BaseNode: ast.BaseNode{
																		Errors: nil,
																		Loc: &ast.SourceLocation{
																			End: ast.Position{
																				Column: 30,
																				Line:   46,
																			},
																			File:   "telegram.flux",
																			Source: "r",
																			Start: ast.Position{
																				Column: 29,
																				Line:   46,
																			},
																		},
																	},
																	Name: "r",
																},
																Value: &ast.Identifier{
																	BaseNode: ast.BaseNode{
																		Errors: nil,
																		Loc: &ast.SourceLocation{
																			End: ast.Position{
																				Column: 33,
																				Line:   46,
																			},
																			File:   "telegram.flux",
																			Source: "r",
																			Start: ast.Position{
																				Column: 32,
																				Line:   46,
																			},
																		},
																	},
																	Name: "r",
																},
															}},
															With: nil,
														}},
														BaseNode: ast.BaseNode{
															Errors: nil,
															Loc: &ast.SourceLocation{
																End: ast.Position{
																	Column: 34,
																	Line:   46,
																},
																File:   "telegram.flux",
																Source: "mapFn(r: r)",
																Start: ast.Position{
																	Column: 23,
																	Line:   46,
																},
															},
														},
														Callee: &ast.Identifier{
															BaseNode: ast.BaseNode{
																Errors: nil,
																Loc: &ast.SourceLocation{
																	End: ast.Position{
																		Column: 28,
																		Line:   46,
																	},
																	File:   "telegram.flux",
																	Source: "mapFn",
																	Start: ast.Position{
																		Column: 23,
																		Line:   46,
																	},
																},
															},
															Name: "mapFn",
														},
													},
												}, &ast.ReturnStatement{
													Argument: &ast.ObjectExpression{
														BaseNode: ast.BaseNode{
															Errors: nil,
															Loc: &ast.SourceLocation{
																End: ast.Position{
																	Column: 26,
																	Line:   55,
																},
																File:   "telegram.flux",
																Source: "{r with _sent: string(v: 2 == message(\n                    url: url,\n                    token: token,\n                    channel: obj.channel,\n                    text: obj.text,\n                    parseMode: parseMode,\n                    disableWebPagePreview: disableWebPagePreview, \n                    silent: obj.silent,\n                ) / 100)}",
																Start: ast.Position{
																	Column: 24,
																	Line:   47,
																},
															},
														},
														Properties: []*ast.Property{&ast.Property{
															BaseNode: ast.BaseNode{
																Errors: nil,
																Loc: &ast.SourceLocation{
																	End: ast.Position{
																		Column: 25,
																		Line:   55,
																	},
																	File:   "telegram.flux",
																	Source: "_sent: string(v: 2 == message(\n                    url: url,\n                    token: token,\n                    channel: obj.channel,\n                    text: obj.text,\n                    parseMode: parseMode,\n                    disableWebPagePreview: disableWebPagePreview, \n                    silent: obj.silent,\n                ) / 100)",
																	Start: ast.Position{
																		Column: 32,
																		Line:   47,
																	},
																},
															},
															Key: &ast.Identifier{
																BaseNode: ast.BaseNode{
																	Errors: nil,
																	Loc: &ast.SourceLocation{
																		End: ast.Position{
																			Column: 37,
																			Line:   47,
																		},
																		File:   "telegram.flux",
																		Source: "_sent",
																		Start: ast.Position{
																			Column: 32,
																			Line:   47,
																		},
																	},
																},
																Name: "_sent",
															},
															Value: &ast.CallExpression{
																Arguments: []ast.Expression{&ast.ObjectExpression{
																	BaseNode: ast.BaseNode{
																		Errors: nil,
																		Loc: &ast.SourceLocation{
																			End: ast.Position{
																				Column: 24,
																				Line:   55,
																			},
																			File:   "telegram.flux",
																			Source: "v: 2 == message(\n                    url: url,\n                    token: token,\n                    channel: obj.channel,\n                    text: obj.text,\n                    parseMode: parseMode,\n                    disableWebPagePreview: disableWebPagePreview, \n                    silent: obj.silent,\n                ) / 100",
																			Start: ast.Position{
																				Column: 46,
																				Line:   47,
																			},
																		},
																	},
																	Properties: []*ast.Property{&ast.Property{
																		BaseNode: ast.BaseNode{
																			Errors: nil,
																			Loc: &ast.SourceLocation{
																				End: ast.Position{
																					Column: 24,
																					Line:   55,
																				},
																				File:   "telegram.flux",
																				Source: "v: 2 == message(\n                    url: url,\n                    token: token,\n                    channel: obj.channel,\n                    text: obj.text,\n                    parseMode: parseMode,\n                    disableWebPagePreview: disableWebPagePreview, \n                    silent: obj.silent,\n                ) / 100",
																				Start: ast.Position{
																					Column: 46,
																					Line:   47,
																				},
																			},
																		},
																		Key: &ast.Identifier{
																			BaseNode: ast.BaseNode{
																				Errors: nil,
																				Loc: &ast.SourceLocation{
																					End: ast.Position{
																						Column: 47,
																						Line:   47,
																					},
																					File:   "telegram.flux",
																					Source: "v",
																					Start: ast.Position{
																						Column: 46,
																						Line:   47,
																					},
																				},
																			},
																			Name: "v",
																		},
																		Value: &ast.BinaryExpression{
																			BaseNode: ast.BaseNode{
																				Errors: nil,
																				Loc: &ast.SourceLocation{
																					End: ast.Position{
																						Column: 24,
																						Line:   55,
																					},
																					File:   "telegram.flux",
																					Source: "2 == message(\n                    url: url,\n                    token: token,\n                    channel: obj.channel,\n                    text: obj.text,\n                    parseMode: parseMode,\n                    disableWebPagePreview: disableWebPagePreview, \n                    silent: obj.silent,\n                ) / 100",
																					Start: ast.Position{
																						Column: 49,
																						Line:   47,
																					},
																				},
																			},
																			Left: &ast.IntegerLiteral{
																				BaseNode: ast.BaseNode{
																					Errors: nil,
																					Loc: &ast.SourceLocation{
																						End: ast.Position{
																							Column: 50,
																							Line:   47,
																						},
																						File:   "telegram.flux",
																						Source: "2",
																						Start: ast.Position{
																							Column: 49,
																							Line:   47,
																						},
																					},
																				},
																				Value: int64(2),
																			},
																			Operator: 17,
																			Right: &ast.BinaryExpression{
																				BaseNode: ast.BaseNode{
																					Errors: nil,
																					Loc: &ast.SourceLocation{
																						End: ast.Position{
																							Column: 24,
																							Line:   55,
																						},
																						File:   "telegram.flux",
																						Source: "message(\n                    url: url,\n                    token: token,\n                    channel: obj.channel,\n                    text: obj.text,\n                    parseMode: parseMode,\n                    disableWebPagePreview: disableWebPagePreview, \n                    silent: obj.silent,\n                ) / 100",
																						Start: ast.Position{
																							Column: 54,
																							Line:   47,
																						},
																					},
																				},
																				Left: &ast.CallExpression{
																					Arguments: []ast.Expression{&ast.ObjectExpression{
																						BaseNode: ast.BaseNode{
																							Errors: nil,
																							Loc: &ast.SourceLocation{
																								End: ast.Position{
																									Column: 39,
																									Line:   54,
																								},
																								File:   "telegram.flux",
																								Source: "url: url,\n                    token: token,\n                    channel: obj.channel,\n                    text: obj.text,\n                    parseMode: parseMode,\n                    disableWebPagePreview: disableWebPagePreview, \n                    silent: obj.silent",
																								Start: ast.Position{
																									Column: 21,
																									Line:   48,
																								},
																							},
																						},
																						Properties: []*ast.Property{&ast.Property{
																							BaseNode: ast.BaseNode{
																								Errors: nil,
																								Loc: &ast.SourceLocation{
																									End: ast.Position{
																										Column: 29,
																										Line:   48,
																									},
																									File:   "telegram.flux",
																									Source: "url: url",
																									Start: ast.Position{
																										Column: 21,
																										Line:   48,
																									},
																								},
																							},
																							Key: &ast.Identifier{
																								BaseNode: ast.BaseNode{
																									Errors: nil,
																									Loc: &ast.SourceLocation{
																										End: ast.Position{
																											Column: 24,
																											Line:   48,
																										},
																										File:   "telegram.flux",
																										Source: "url",
																										Start: ast.Position{
																											Column: 21,
																											Line:   48,
																										},
																									},
																								},
																								Name: "url",
																							},
																							Value: &ast.Identifier{
																								BaseNode: ast.BaseNode{
																									Errors: nil,
																									Loc: &ast.SourceLocation{
																										End: ast.Position{
																											Column: 29,
																											Line:   48,
																										},
																										File:   "telegram.flux",
																										Source: "url",
																										Start: ast.Position{
																											Column: 26,
																											Line:   48,
																										},
																									},
																								},
																								Name: "url",
																							},
																						}, &ast.Property{
																							BaseNode: ast.BaseNode{
																								Errors: nil,
																								Loc: &ast.SourceLocation{
																									End: ast.Position{
																										Column: 33,
																										Line:   49,
																									},
																									File:   "telegram.flux",
																									Source: "token: token",
																									Start: ast.Position{
																										Column: 21,
																										Line:   49,
																									},
																								},
																							},
																							Key: &ast.Identifier{
																								BaseNode: ast.BaseNode{
																									Errors: nil,
																									Loc: &ast.SourceLocation{
																										End: ast.Position{
																											Column: 26,
																											Line:   49,
																										},
																										File:   "telegram.flux",
																										Source: "token",
																										Start: ast.Position{
																											Column: 21,
																											Line:   49,
																										},
																									},
																								},
																								Name: "token",
																							},
																							Value: &ast.Identifier{
																								BaseNode: ast.BaseNode{
																									Errors: nil,
																									Loc: &ast.SourceLocation{
																										End: ast.Position{
																											Column: 33,
																											Line:   49,
																										},
																										File:   "telegram.flux",
																										Source: "token",
																										Start: ast.Position{
																											Column: 28,
																											Line:   49,
																										},
																									},
																								},
																								Name: "token",
																							},
																						}, &ast.Property{
																							BaseNode: ast.BaseNode{
																								Errors: nil,
																								Loc: &ast.SourceLocation{
																									End: ast.Position{
																										Column: 41,
																										Line:   50,
																									},
																									File:   "telegram.flux",
																									Source: "channel: obj.channel",
																									Start: ast.Position{
																										Column: 21,
																										Line:   50,
																									},
																								},
																							},
																							Key: &ast.Identifier{
																								BaseNode: ast.BaseNode{
																									Errors: nil,
																									Loc: &ast.SourceLocation{
																										End: ast.Position{
																											Column: 28,
																											Line:   50,
																										},
																										File:   "telegram.flux",
																										Source: "channel",
																										Start: ast.Position{
																											Column: 21,
																											Line:   50,
																										},
																									},
																								},
																								Name: "channel",
																							},
																							Value: &ast.MemberExpression{
																								BaseNode: ast.BaseNode{
																									Errors: nil,
																									Loc: &ast.SourceLocation{
																										End: ast.Position{
																											Column: 41,
																											Line:   50,
																										},
																										File:   "telegram.flux",
																										Source: "obj.channel",
																										Start: ast.Position{
																											Column: 30,
																											Line:   50,
																										},
																									},
																								},
																								Object: &ast.Identifier{
																									BaseNode: ast.BaseNode{
																										Errors: nil,
																										Loc: &ast.SourceLocation{
																											End: ast.Position{
																												Column: 33,
																												Line:   50,
																											},
																											File:   "telegram.flux",
																											Source: "obj",
																											Start: ast.Position{
																												Column: 30,
																												Line:   50,
																											},
																										},
																									},
																									Name: "obj",
																								},
																								Property: &ast.Identifier{
																									BaseNode: ast.BaseNode{
																										Errors: nil,
																										Loc: &ast.SourceLocation{
																											End: ast.Position{
																												Column: 41,
																												Line:   50,
																											},
																											File:   "telegram.flux",
																											Source: "channel",
																											Start: ast.Position{
																												Column: 34,
																												Line:   50,
																											},
																										},
																									},
																									Name: "channel",
																								},
																							},
																						}, &ast.Property{
																							BaseNode: ast.BaseNode{
																								Errors: nil,
																								Loc: &ast.SourceLocation{
																									End: ast.Position{
																										Column: 35,
																										Line:   51,
																									},
																									File:   "telegram.flux",
																									Source: "text: obj.text",
																									Start: ast.Position{
																										Column: 21,
																										Line:   51,
																									},
																								},
																							},
																							Key: &ast.Identifier{
																								BaseNode: ast.BaseNode{
																									Errors: nil,
																									Loc: &ast.SourceLocation{
																										End: ast.Position{
																											Column: 25,
																											Line:   51,
																										},
																										File:   "telegram.flux",
																										Source: "text",
																										Start: ast.Position{
																											Column: 21,
																											Line:   51,
																										},
																									},
																								},
																								Name: "text",
																							},
																							Value: &ast.MemberExpression{
																								BaseNode: ast.BaseNode{
																									Errors: nil,
																									Loc: &ast.SourceLocation{
																										End: ast.Position{
																											Column: 35,
																											Line:   51,
																										},
																										File:   "telegram.flux",
																										Source: "obj.text",
																										Start: ast.Position{
																											Column: 27,
																											Line:   51,
																										},
																									},
																								},
																								Object: &ast.Identifier{
																									BaseNode: ast.BaseNode{
																										Errors: nil,
																										Loc: &ast.SourceLocation{
																											End: ast.Position{
																												Column: 30,
																												Line:   51,
																											},
																											File:   "telegram.flux",
																											Source: "obj",
																											Start: ast.Position{
																												Column: 27,
																												Line:   51,
																											},
																										},
																									},
																									Name: "obj",
																								},
																								Property: &ast.Identifier{
																									BaseNode: ast.BaseNode{
																										Errors: nil,
																										Loc: &ast.SourceLocation{
																											End: ast.Position{
																												Column: 35,
																												Line:   51,
																											},
																											File:   "telegram.flux",
																											Source: "text",
																											Start: ast.Position{
																												Column: 31,
																												Line:   51,
																											},
																										},
																									},
																									Name: "text",
																								},
																							},
																						}, &ast.Property{
																							BaseNode: ast.BaseNode{
																								Errors: nil,
																								Loc: &ast.SourceLocation{
																									End: ast.Position{
																										Column: 41,
																										Line:   52,
																									},
																									File:   "telegram.flux",
																									Source: "parseMode: parseMode",
																									Start: ast.Position{
																										Column: 21,
																										Line:   52,
																									},
																								},
																							},
																							Key: &ast.Identifier{
																								BaseNode: ast.BaseNode{
																									Errors: nil,
																									Loc: &ast.SourceLocation{
																										End: ast.Position{
																											Column: 30,
																											Line:   52,
																										},
																										File:   "telegram.flux",
																										Source: "parseMode",
																										Start: ast.Position{
																											Column: 21,
																											Line:   52,
																										},
																									},
																								},
																								Name: "parseMode",
																							},
																							Value: &ast.Identifier{
																								BaseNode: ast.BaseNode{
																									Errors: nil,
																									Loc: &ast.SourceLocation{
																										End: ast.Position{
																											Column: 41,
																											Line:   52,
																										},
																										File:   "telegram.flux",
																										Source: "parseMode",
																										Start: ast.Position{
																											Column: 32,
																											Line:   52,
																										},
																									},
																								},
																								Name: "parseMode",
																							},
																						}, &ast.Property{
																							BaseNode: ast.BaseNode{
																								Errors: nil,
																								Loc: &ast.SourceLocation{
																									End: ast.Position{
																										Column: 65,
																										Line:   53,
																									},
																									File:   "telegram.flux",
																									Source: "disableWebPagePreview: disableWebPagePreview",
																									Start: ast.Position{
																										Column: 21,
																										Line:   53,
																									},
																								},
																							},
																							Key: &ast.Identifier{
																								BaseNode: ast.BaseNode{
																									Errors: nil,
																									Loc: &ast.SourceLocation{
																										End: ast.Position{
																											Column: 42,
																											Line:   53,
																										},
																										File:   "telegram.flux",
																										Source: "disableWebPagePreview",
																										Start: ast.Position{
																											Column: 21,
																											Line:   53,
																										},
																									},
																								},
																								Name: "disableWebPagePreview",
																							},
																							Value: &ast.Identifier{
																								BaseNode: ast.BaseNode{
																									Errors: nil,
																									Loc: &ast.SourceLocation{
																										End: ast.Position{
																											Column: 65,
																											Line:   53,
																										},
																										File:   "telegram.flux",
																										Source: "disableWebPagePreview",
																										Start: ast.Position{
																											Column: 44,
																											Line:   53,
																										},
																									},
																								},
																								Name: "disableWebPagePreview",
																							},
																						}, &ast.Property{
																							BaseNode: ast.BaseNode{
																								Errors: nil,
																								Loc: &ast.SourceLocation{
																									End: ast.Position{
																										Column: 39,
																										Line:   54,
																									},
																									File:   "telegram.flux",
																									Source: "silent: obj.silent",
																									Start: ast.Position{
																										Column: 21,
																										Line:   54,
																									},
																								},
																							},
																							Key: &ast.Identifier{
																								BaseNode: ast.BaseNode{
																									Errors: nil,
																									Loc: &ast.SourceLocation{
																										End: ast.Position{
																											Column: 27,
																											Line:   54,
																										},
																										File:   "telegram.flux",
																										Source: "silent",
																										Start: ast.Position{
																											Column: 21,
																											Line:   54,
																										},
																									},
																								},
																								Name: "silent",
																							},
																							Value: &ast.MemberExpression{
																								BaseNode: ast.BaseNode{
																									Errors: nil,
																									Loc: &ast.SourceLocation{
																										End: ast.Position{
																											Column: 39,
																											Line:   54,
																										},
																										File:   "telegram.flux",
																										Source: "obj.silent",
																										Start: ast.Position{
																											Column: 29,
																											Line:   54,
																										},
																									},
																								},
																								Object: &ast.Identifier{
																									BaseNode: ast.BaseNode{
																										Errors: nil,
																										Loc: &ast.SourceLocation{
																											End: ast.Position{
																												Column: 32,
																												Line:   54,
																											},
																											File:   "telegram.flux",
																											Source: "obj",
																											Start: ast.Position{
																												Column: 29,
																												Line:   54,
																											},
																										},
																									},
																									Name: "obj",
																								},
																								Property: &ast.Identifier{
																									BaseNode: ast.BaseNode{
																										Errors: nil,
																										Loc: &ast.SourceLocation{
																											End: ast.Position{
																												Column: 39,
																												Line:   54,
																											},
																											File:   "telegram.flux",
																											Source: "silent",
																											Start: ast.Position{
																												Column: 33,
																												Line:   54,
																											},
																										},
																									},
																									Name: "silent",
																								},
																							},
																						}},
																						With: nil,
																					}},
																					BaseNode: ast.BaseNode{
																						Errors: nil,
																						Loc: &ast.SourceLocation{
																							End: ast.Position{
																								Column: 18,
																								Line:   55,
																							},
																							File:   "telegram.flux",
																							Source: "message(\n                    url: url,\n                    token: token,\n                    channel: obj.channel,\n                    text: obj.text,\n                    parseMode: parseMode,\n                    disableWebPagePreview: disableWebPagePreview, \n                    silent: obj.silent,\n                )",
																							Start: ast.Position{
																								Column: 54,
																								Line:   47,
																							},
																						},
																					},
																					Callee: &ast.Identifier{
																						BaseNode: ast.BaseNode{
																							Errors: nil,
																							Loc: &ast.SourceLocation{
																								End: ast.Position{
																									Column: 61,
																									Line:   47,
																								},
																								File:   "telegram.flux",
																								Source: "message",
																								Start: ast.Position{
																									Column: 54,
																									Line:   47,
																								},
																							},
																						},
																						Name: "message",
																					},
																				},
																				Operator: 2,
																				Right: &ast.IntegerLiteral{
																					BaseNode: ast.BaseNode{
																						Errors: nil,
																						Loc: &ast.SourceLocation{
																							End: ast.Position{
																								Column: 24,
																								Line:   55,
																							},
																							File:   "telegram.flux",
																							Source: "100",
																							Start: ast.Position{
																								Column: 21,
																								Line:   55,
																							},
																						},
																					},
																					Value: int64(100),
																				},
																			},
																		},
																	}},
																	With: nil,
																}},
																BaseNode: ast.BaseNode{
																	Errors: nil,
																	Loc: &ast.SourceLocation{
																		End: ast.Position{
																			Column: 25,
																			Line:   55,
																		},
																		File:   "telegram.flux",
																		Source: "string(v: 2 == message(\n                    url: url,\n                    token: token,\n                    channel: obj.channel,\n                    text: obj.text,\n                    parseMode: parseMode,\n                    disableWebPagePreview: disableWebPagePreview, \n                    silent: obj.silent,\n                ) / 100)",
																		Start: ast.Position{
																			Column: 39,
																			Line:   47,
																		},
																	},
																},
																Callee: &ast.Identifier{
																	BaseNode: ast.BaseNode{
																		Errors: nil,
																		Loc: &ast.SourceLocation{
																			End: ast.Position{
																				Column: 45,
																				Line:   47,
																			},
																			File:   "telegram.flux",
																			Source: "string",
																			Start: ast.Position{
																				Column: 39,
																				Line:   47,
																			},
																		},
																	},
																	Name: "string",
																},
															},
														}},
														With: &ast.Identifier{
															BaseNode: ast.BaseNode{
																Errors: nil,
																Loc: &ast.SourceLocation{
																	End: ast.Position{
																		Column: 26,
																		Line:   47,
																	},
																	File:   "telegram.flux",
																	Source: "r",
																	Start: ast.Position{
																		Column: 25,
																		Line:   47,
																	},
																},
															},
															Name: "r",
														},
													},
													BaseNode: ast.BaseNode{
														Errors: nil,
														Loc: &ast.SourceLocation{
															End: ast.Position{
																Column: 26,
																Line:   55,
															},
															File:   "telegram.flux",
															Source: "return {r with _sent: string(v: 2 == message(\n                    url: url,\n                    token: token,\n                    channel: obj.channel,\n                    text: obj.text,\n                    parseMode: parseMode,\n                    disableWebPagePreview: disableWebPagePreview, \n                    silent: obj.silent,\n                ) / 100)}",
															Start: ast.Position{
																Column: 17,
																Line:   47,
															},
														},
													},
												}},
											},
											Params: []*ast.Property{&ast.Property{
												BaseNode: ast.BaseNode{
													Errors: nil,
													Loc: &ast.SourceLocation{
														End: ast.Position{
															Column: 26,
															Line:   45,
														},
														File:   "telegram.flux",
														Source: "r",
														Start: ast.Position{
															Column: 25,
															Line:   45,
														},
													},
												},
												Key: &ast.Identifier{
													BaseNode: ast.BaseNode{
														Errors: nil,
														Loc: &ast.SourceLocation{
															End: ast.Position{
																Column: 26,
																Line:   45,
															},
															File:   "telegram.flux",
															Source: "r",
															Start: ast.Position{
																Column: 25,
																Line:   45,
															},
														},
													},
													Name: "r",
												},
												Value: nil,
											}},
										},
									}},
									With: nil,
								}},
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 15,
											Line:   56,
										},
										File:   "telegram.flux",
										Source: "map(fn: (r) => {\n                obj = mapFn(r: r)\n                return {r with _sent: string(v: 2 == message(\n                    url: url,\n                    token: token,\n                    channel: obj.channel,\n                    text: obj.text,\n                    parseMode: parseMode,\n                    disableWebPagePreview: disableWebPagePreview, \n                    silent: obj.silent,\n                ) / 100)}\n            })",
										Start: ast.Position{
											Column: 16,
											Line:   45,
										},
									},
								},
								Callee: &ast.Identifier{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 19,
												Line:   45,
											},
											File:   "telegram.flux",
											Source: "map",
											Start: ast.Position{
												Column: 16,
												Line:   45,
											},
										},
									},
									Name: "map",
								},
							},
						},
						Params: []*ast.Property{&ast.Property{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 19,
										Line:   44,
									},
									File:   "telegram.flux",
									Source: "tables=<-",
									Start: ast.Position{
										Column: 10,
										Line:   44,
									},
								},
							},
							Key: &ast.Identifier{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 16,
											Line:   44,
										},
										File:   "telegram.flux",
										Source: "tables",
										Start: ast.Position{
											Column: 10,
											Line:   44,
										},
									},
								},
								Name: "tables",
							},
							Value: &ast.PipeLiteral{BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 19,
										Line:   44,
									},
									File:   "telegram.flux",
									Source: "<-",
									Start: ast.Position{
										Column: 17,
										Line:   44,
									},
								},
							}},
						}},
					},
					Params: []*ast.Property{&ast.Property{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 11,
									Line:   43,
								},
								File:   "telegram.flux",
								Source: "mapFn",
								Start: ast.Position{
									Column: 6,
									Line:   43,
								},
							},
						},
						Key: &ast.Identifier{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 11,
										Line:   43,
									},
									File:   "telegram.flux",
									Source: "mapFn",
									Start: ast.Position{
										Column: 6,
										Line:   43,
									},
								},
							},
							Name: "mapFn",
						},
						Value: nil,
					}},
				},
				Params: []*ast.Property{&ast.Property{
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 27,
								Line:   42,
							},
							File:   "telegram.flux",
							Source: "url=defaultURL",
							Start: ast.Position{
								Column: 13,
								Line:   42,
							},
						},
					},
					Key: &ast.Identifier{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 16,
									Line:   42,
								},
								File:   "telegram.flux",
								Source: "url",
								Start: ast.Position{
									Column: 13,
									Line:   42,
								},
							},
						},
						Name: "url",
					},
					Value: &ast.Identifier{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 27,
									Line:   42,
								},
								File:   "telegram.flux",
								Source: "defaultURL",
								Start: ast.Position{
									Column: 17,
									Line:   42,
								},
							},
						},
						Name: "defaultURL",
					},
				}, &ast.Property{
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 34,
								Line:   42,
							},
							File:   "telegram.flux",
							Source: "token",
							Start: ast.Position{
								Column: 29,
								Line:   42,
							},
						},
					},
					Key: &ast.Identifier{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 34,
									Line:   42,
								},
								File:   "telegram.flux",
								Source: "token",
								Start: ast.Position{
									Column: 29,
									Line:   42,
								},
							},
						},
						Name: "token",
					},
					Value: nil,
				}, &ast.Property{
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 62,
								Line:   42,
							},
							File:   "telegram.flux",
							Source: "parseMode=defaultParseMode",
							Start: ast.Position{
								Column: 36,
								Line:   42,
							},
						},
					},
					Key: &ast.Identifier{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 45,
									Line:   42,
								},
								File:   "telegram.flux",
								Source: "parseMode",
								Start: ast.Position{
									Column: 36,
									Line:   42,
								},
							},
						},
						Name: "parseMode",
					},
					Value: &ast.Identifier{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 62,
									Line:   42,
								},
								File:   "telegram.flux",
								Source: "defaultParseMode",
								Start: ast.Position{
									Column: 46,
									Line:   42,
								},
							},
						},
						Name: "defaultParseMode",
					},
				}, &ast.Property{
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 114,
								Line:   42,
							},
							File:   "telegram.flux",
							Source: "disableWebPagePreview=defaultDisableWebPagePreview",
							Start: ast.Position{
								Column: 64,
								Line:   42,
							},
						},
					},
					Key: &ast.Identifier{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 85,
									Line:   42,
								},
								File:   "telegram.flux",
								Source: "disableWebPagePreview",
								Start: ast.Position{
									Column: 64,
									Line:   42,
								},
							},
						},
						Name: "disableWebPagePreview",
					},
					Value: &ast.Identifier{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 114,
									Line:   42,
								},
								File:   "telegram.flux",
								Source: "defaultDisableWebPagePreview",
								Start: ast.Position{
									Column: 86,
									Line:   42,
								},
							},
						},
						Name: "defaultDisableWebPagePreview",
					},
				}},
			},
		}},
		Imports: []*ast.ImportDeclaration{&ast.ImportDeclaration{
			As: nil,
			BaseNode: ast.BaseNode{
				Errors: nil,
				Loc: &ast.SourceLocation{
					End: ast.Position{
						Column: 14,
						Line:   3,
					},
					File:   "telegram.flux",
					Source: "import \"http\"",
					Start: ast.Position{
						Column: 1,
						Line:   3,
					},
				},
			},
			Path: &ast.StringLiteral{
				BaseNode: ast.BaseNode{
					Errors: nil,
					Loc: &ast.SourceLocation{
						End: ast.Position{
							Column: 14,
							Line:   3,
						},
						File:   "telegram.flux",
						Source: "\"http\"",
						Start: ast.Position{
							Column: 8,
							Line:   3,
						},
					},
				},
				Value: "http",
			},
		}, &ast.ImportDeclaration{
			As: nil,
			BaseNode: ast.BaseNode{
				Errors: nil,
				Loc: &ast.SourceLocation{
					End: ast.Position{
						Column: 14,
						Line:   4,
					},
					File:   "telegram.flux",
					Source: "import \"json\"",
					Start: ast.Position{
						Column: 1,
						Line:   4,
					},
				},
			},
			Path: &ast.StringLiteral{
				BaseNode: ast.BaseNode{
					Errors: nil,
					Loc: &ast.SourceLocation{
						End: ast.Position{
							Column: 14,
							Line:   4,
						},
						File:   "telegram.flux",
						Source: "\"json\"",
						Start: ast.Position{
							Column: 8,
							Line:   4,
						},
					},
				},
				Value: "json",
			},
		}},
		Metadata: "parser-type=rust",
		Name:     "telegram.flux",
		Package: &ast.PackageClause{
			BaseNode: ast.BaseNode{
				Errors: nil,
				Loc: &ast.SourceLocation{
					End: ast.Position{
						Column: 17,
						Line:   1,
					},
					File:   "telegram.flux",
					Source: "package telegram",
					Start: ast.Position{
						Column: 1,
						Line:   1,
					},
				},
			},
			Name: &ast.Identifier{
				BaseNode: ast.BaseNode{
					Errors: nil,
					Loc: &ast.SourceLocation{
						End: ast.Position{
							Column: 17,
							Line:   1,
						},
						File:   "telegram.flux",
						Source: "telegram",
						Start: ast.Position{
							Column: 9,
							Line:   1,
						},
					},
				},
				Name: "telegram",
			},
		},
	}},
	Package: "telegram",
	Path:    "contrib/sranka/telegram",
}
